summaryrefslogtreecommitdiff
path: root/plugins/alcd/scripts/activy
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/alcd/scripts/activy')
-rw-r--r--plugins/alcd/scripts/activy22
1 files changed, 22 insertions, 0 deletions
diff --git a/plugins/alcd/scripts/activy b/plugins/alcd/scripts/activy
new file mode 100644
index 0000000..6613f4c
--- /dev/null
+++ b/plugins/alcd/scripts/activy
@@ -0,0 +1,22 @@
+#!/bin/sh
+# debian init script /etc/init.d/activy for activy
+# modified for x-vdr
+source /etc/default/vdr
+
+[ "$alcd" = "on" ] || exit
+
+case "$1" in
+ start)
+ echo "Setting activy keys and display"
+ $VDRSCRIPTDIR/activy_msg.sh "Starting system ..." ""
+ $VDRSCRIPTDIR/activy.sh
+ ;;
+ stop)
+ echo "Clear activy display"
+ $VDRSCRIPTDIR/activy_pb.sh
+ $VDRSCRIPTDIR/activy_msg.sh "" ""
+ printf "\xF0\xFF" > /dev/ttyS0
+ ;;
+esac
+
+exit 0